package chatprogramm.model;


import chatprogramm.controller.ReceiveAdapterController;
import chatprogramm.logger.OhmLogger;
import java.text.SimpleDateFormat;
import java.util.Observable;
import java.util.Observer;
import java.util.logging.Logger;

/**
 *
 * @author Marian
 */
public class Transmitter extends Observable implements Observer
{
    boolean connected;
    Server srv;
    Client cli;
    boolean mode;
    boolean initialized;
    ReceiveAdapterController Adapter;   
    private static Logger logger = OhmLogger.getLogger();
    
    public Transmitter()
    {
        connected = false;
        mode = false;
        initialized = false;
        srv = null;
        cli = null;
    }
    
    public void connectToPeer(boolean mode, String ip, int port)
    {
        if (initialized) 
        {
            logger.info("Chat's already running");
            return;
        }
        
        this.mode = mode;
        
        if (mode) 
        {
            logger.info("Running as server");
            srv = new Server(port);
            srv.addObserver(this);
            srv.init();
        } 
        else 
        {
            logger.info("Running as client");
            cli = new Client(ip, port);
            cli.addObserver(this);
            cli.init();
        }        
        initialized = true;
    }
    
    public void sendMessage(String msg)
    {
        if (!initialized) 
        {
            logger.warning("Chat not initialized");
            return;
        }
        
        if (mode) 
        {
            srv.sendMessage(msg);
        } 
        else 
        {
            cli.sendMessage(msg);
        }
    }

    @Override
    public void update(Observable observable, Object object)
    {
        this.setChanged();
        this.notifyObservers(object);
    }
}
